﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /O_CAL+FE
DATE:                  2017-07-26 10:41:18
AUTHOR:                Fluke
REVISION:              $Revision: 20376 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       100
CONFIGURATION:         Fluke Ocal (FE)
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.1.7 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  HEAD         DELTA TIME ACCURACY (Ch [V @Chan])

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  RSLT         =DELTA TIME ACCURACY
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]
  1.010  TARGET

  1.011  IF           @Chan == 1
  1.012  PIC          dpo7000_delta_time_58xx_ch1
  1.013  ELSEIF       @Chan == 2
  1.014  PIC          dpo7000_delta_time_58xx_ch2
  1.015  ELSEIF       @Chan == 3
  1.016  PIC          dpo7000_delta_time_58xx_ch3
  1.017  ELSE
  1.018  PIC          dpo7000_delta_time_58xx_ch4
  1.019  ENDIF

  1.020  IF           ZCMP(@ModelNum, "DPO7054")
  1.021  MATH         L[1] = 20E-9; L[2] = 5E+9;  L[3] = 12
  1.022  ELSE
  1.023  MATH         L[1] = 10E-9; L[2] = 10E+9; L[3] = 6
  1.024  ENDIF

  1.025  IEEE2        CH[V @Chan]:TER 50;SCA 100E-3;POS -4
  1.026  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
  1.027  O_CAL        Mode = Edge; FastEdge; Channel = [V @CalChan]
  1.027  O_CAL        +Voltage = 250 mVpp; Frequency = 10 kHz
  1.028  IEEE2        AUTOS EXEC
  1.029  IEEE2        ACQ:SAMP RT
  1.030  IEEE2        HOR:SCA [L1];MODE:SAMPLER [L2]
  1.031  IEEE2        ACQ:STATE STOP
  1.032  IEEE2        CH[V @Chan]:SCA 25E-3;POS -4
  1.033  IEEE2        TRIG:A SETL
  1.034  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PWI;STATE ON
  1.035  IEEE2        MEASU:REFL:METH ABS;ABS:MID 0.1
  1.036  IEEE2        MEASU:STATI:COUNT RESET;WEI 1000
  1.037  IEEE2        ACQ:STATE RUN
  1.038  WAIT         -t 60 DUT Running...
  1.039  IEEE2        ACQ:STATE STOP
  1.040  IEEE2        MEASU:MEAS1:STD?[I]
  1.041  MATH         MEM = MEM / 1E-12; Result = FMT(MEM, "%.1f")
  1.042  EVAL   -e MEM <= L[3] : Limit: ≤ [L3] ps, Result: [V Result] ps

  2.001  HEAD
  2.002  O_CAL        Standby
  2.003  END
